%define realname conntrack-tools
%define realver  1.0.0
%define srcext   tar.bz2

# Common info
Name:          %{realname}
Version:       %{realver}
Release:       8.11
License:       GPL
Group:         Productivity/Networking/Diagnostic
URL:           http://conntrack-tools.netfilter.org/
Summary:       Connection tracking userspace tools for Linux

# Build-time parameters
BuildRequires: pkgconfig bison flex
BuildRequires: libnfnetlink-devel libnetfilter_conntrack-devel
BuildRoot:     %{_tmppath}/%{name}-root
Source0:       http://www.netfilter.org/projects/conntrack-tools/files/%{realname}-%{realver}%{?extraver}.%{srcext}
Source1:       conntrackd.init

%description
The conntrack-tools are a set of free software userspace tools for Linux that
allow system administrators interact with the Connection Tracking System, which
is the module that provides stateful packet inspection for iptables.
The conntrack-tools are the userspace daemon conntrackd and the command line
interface conntrack.

The userspace daemon conntrackd can be used to enable high availability
of cluster-based stateful firewalls and to collect statistics of the stateful
firewall use (although ulogd is the preferred option for logging). The command
line interface conntrack provides a more flexible interface than the traditional
/proc/net/nf_conntrack interface.

# Preparation step (unpackung and patching if necessary)
%prep
%setup -q -n %{realname}-%{realver}%{?extraver}

%build
%configure \
 --disable-static \
 LDFLAGS="-Wl,--as-needed -Wl,--strip-all"
%__make %{?_smp_mflags}

%install
%__make install DESTDIR=%{buildroot}
%__install -D -m644 doc/stats/conntrackd.conf %{buildroot}%{_sysconfdir}/conntrackd/conntrackd.conf
%__install -D -m755 %{S:1} %{buildroot}%{_initrddir}/conntrackd
%if %{expand:%_vendor == "suse"}
%__ln_s %{_initrddir}/conntrackd %{buildroot}%{_sbindir}/rcconntrackd
%endif
%__rm -f doc/sync/*/conntrackd.conf.orig
%__rm -f doc/sync/*/conntrackd.conf.rej

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING TODO doc/manual/conntrack-tools.html doc/manual/docbook.css
%doc doc/sync
%dir %{_sysconfdir}/conntrackd
%config(noreplace) %{_sysconfdir}/conntrackd/conntrackd.conf
%{_initrddir}/conntrackd
%{_sbindir}/*
%doc %{_mandir}/man8/*

%if 0%{?suse_version}
%preun
%{stop_on_removal conntrackd}

%postun
%{restart_on_update conntrackd}
%{insserv_cleanup}
%endif

%changelog
